SELECT	bc.numero AS numero_bico,
	bc.denominacao AS denominacao_bico,
	MIN(emv.encerrante_inicial) AS encerrante_inicial,
	MAX(emv.encerrante_final) AS encerrante_final,
	SUM(emv.quantidade_aferida) AS quantidade_aferida,
	SUM(emv.desconto) AS desconto,
	SUM(emv.acrescimo) AS acrescimo,
	SUM(emv.quantidade_vendida) AS litros,
	SUM(emv.total_bruto) AS total_bruto,
	SUM(emv.total_venda) AS total_venda
FROM	movimento_venda_terminal mvt
	INNER JOIN encerrante_movimento_venda emv ON (emv.id_movimento_venda_terminal = mvt.id_movimento_venda_terminal)
	INNER JOIN bico_combustivel bc ON (bc.id_bico_combustivel = emv.id_bico_combustivel)
WHERE	((mvt.data_movimento = :DataInicial AND mvt.numero_movimento > 0) 
OR (mvt.data_movimento > :DataInicial AND mvt.data_movimento < :DataFinal)  
OR (mvt.data_movimento = (:DataFinal) AND mvt.numero_movimento > 0))
AND	mvt.id_empresa in (:IdEmpresa)
GROUP BY bc.numero,
	bc.denominacao
ORDER BY bc.numero